GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions
security_context.c File Reference
`#include <string.h>`
`#include "src/core/security/security_context.h"`
`#include "src/core/surface/call.h"`
`#include <grpc/grpc_security.h>`
`#include <grpc/support/alloc.h>`
`#include <grpc/support/log.h>`
`#include <grpc/support/string_util.h>`

## Functions
grpc_call_error | grpc_call_set_credentials (grpc_call *call, grpc_credentials *creds)
grpc_auth_context * | grpc_call_auth_context (grpc_call *call)
void | grpc_auth_context_release (grpc_auth_context *context)
grpc_client_security_context * | grpc_client_security_context_create (void)
void | grpc_client_security_context_destroy (void *ctx)
grpc_server_security_context * | grpc_server_security_context_create (void)
void | grpc_server_security_context_destroy (void *ctx)
grpc_auth_context * | grpc_auth_context_create (grpc_auth_context *chained, size_t property_count)
grpc_auth_context * | grpc_auth_context_ref (grpc_auth_context *ctx)
void | grpc_auth_context_unref (grpc_auth_context *ctx)
const char * | grpc_auth_context_peer_identity_property_name (const grpc_auth_context *ctx)
int | grpc_auth_context_peer_is_authenticated (const grpc_auth_context *ctx)
grpc_auth_property_iterator | grpc_auth_context_property_iterator (const grpc_auth_context *ctx)
const grpc_auth_property * | grpc_auth_property_iterator_next (grpc_auth_property_iterator *it)
grpc_auth_property_iterator | grpc_auth_context_find_properties_by_name (const grpc_auth_context *ctx, const char *name)
grpc_auth_property_iterator | grpc_auth_context_peer_identity (const grpc_auth_context *ctx)
grpc_auth_property | grpc_auth_property_init_from_cstring (const char *name, const char *value)
grpc_auth_property | grpc_auth_property_init (const char *name, const char *value, size_t value_length)
void | grpc_auth_property_reset (grpc_auth_property *property)

## Function Documentation

grpc_auth_context* grpc_auth_context_create | ( | grpc_auth_context * | chained,
|  | size_t | property_count
| ) |  |

grpc_auth_property_iterator grpc_auth_context_find_properties_by_name | ( | const grpc_auth_context * | ctx,
|  | const char * | name
| ) |  |

grpc_auth_property_iterator grpc_auth_context_peer_identity | ( | const grpc_auth_context * | ctx | ) |

const char* grpc_auth_context_peer_identity_property_name | ( | const grpc_auth_context * | ctx | ) |

int grpc_auth_context_peer_is_authenticated | ( | const grpc_auth_context * | ctx | ) |

grpc_auth_property_iterator grpc_auth_context_property_iterator | ( | const grpc_auth_context * | ctx | ) |

grpc_auth_context* grpc_auth_context_ref | ( | grpc_auth_context * | ctx | ) |

void grpc_auth_context_release | ( | grpc_auth_context * | context | ) |

void grpc_auth_context_unref | ( | grpc_auth_context * | ctx | ) |

grpc_auth_property grpc_auth_property_init | ( | const char * | name,
|  | const char * | value,
|  | size_t | value_length
| ) |  |

grpc_auth_property grpc_auth_property_init_from_cstring | ( | const char * | name,
|  | const char * | value
| ) |  |

const grpc_auth_property* grpc_auth_property_iterator_next | ( | grpc_auth_property_iterator * | it | ) |

void grpc_auth_property_reset | ( | grpc_auth_property * | property | ) |

grpc_auth_context* grpc_call_auth_context | ( | grpc_call * | call | ) |

grpc_call_error grpc_call_set_credentials | ( | grpc_call * | call,
|  | grpc_credentials * | creds
| ) |  |

grpc_client_security_context* grpc_client_security_context_create | ( | void |  | ) |

void grpc_client_security_context_destroy | ( | void * | ctx | ) |

grpc_server_security_context* grpc_server_security_context_create | ( | void |  | ) |

void grpc_server_security_context_destroy | ( | void * | ctx | ) |